#include <bits/stdc++.h>

using namespace std;


int a[1000001];

vector<int> v;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);


    int n , k;

    cin >> n >> k;



    for(int i = 0 ; i < n ; i++)
        cin >> a[i];


    sort(a,a+n);

    int br = 1e6 + 1 ;



    int num = 0;

    for(int i = 0 ; i < n ;i++)
    {
        if(a[i]== br)
        {
            num++;
        }
        else
        {
            br = a[i];
            num = 1;
        }


       if(num==k)
        {
            num = 0;
            v.push_back(a[i]);

        }
    }



    cout << v.size() << "\n";



    for(int i =0 ;  i < v.size() ; i++ )
        cout << v[i] <<" ";



    return 0;
}